kind: pipeline
type: docker
name: deploy

trigger:
  branch:
    - main
    - production

steps:
  - name: deploy to homolog
    image: appleboy/scp
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      source: .
      target: /home/app_fatura_homolog
      rm: true
    when:
      branch: main

  - name: restart homolog container
    image: appleboy/ssh
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      script:
        - cd /home/app_fatura_homolog
        - docker compose down --remove-orphans
        - docker compose up -d
    when:
      branch: main

  - name: deploy to production
    image: appleboy/scp
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      source: .
      target: /home/app_fatura
      rm: true
    when:
      branch: production

  - name: restart production container
    image: appleboy/ssh
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      script:
        - cd /home/app_fatura
        - docker compose down --remove-orphans
        - docker compose up -d
    when:
      branch: production
